cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35160,
"status": "fully_filled",
"order_role": "maker",
"order_type": "sellPT",
"amount_received": 210113869.44814292,
"amount_filled": 249999941,
"amount_remaining": 59,
"original_amount": 250000000,
"implied_apy": 120446,
"filled_implied_apy": 120446,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "3DTBTTnZ8ghfCLVgwh4bJq8rFbzEg9LDpP7R7k2vvgMZNsQZrRg3gwHnfdSRyQshsh6zQeMRdR9AtUffY5sMBg9o",
"updated_at": "2026-10-13T17:00:12+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 234,
"num_fills": 1,
"created_at": "2026-10-13T15:47:03+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": null,
"status": "fully_filled",
"order_role": "taker",
"order_type": "buyPT",
"amount_received": 118908437,
"amount_filled": 99999999,
"amount_remaining": 0,
"original_amount": 99999999,
"implied_apy": 0,
"filled_implied_apy": 120800,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "4fbW2fU6dCVcgb1bzt7hN84CbXQqREPVUxeMfZ6wnurYSRLUa6Mv8paQuwzUQbUyNYBQ2CQqoNH9cAvKsMVnMxDY",
"updated_at": "2026-10-13T15:48:20+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 111,
"num_fills": 1,
"created_at": "2026-10-13T15:48:20+00:00",
"market_offer_event_id": 13720
}
]
Order Book
Filled orders by wallet
Returns filled orderbook orders for a user.
GET
/
filled-orders
/
user
/
{userAddress}
cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35160,
"status": "fully_filled",
"order_role": "maker",
"order_type": "sellPT",
"amount_received": 210113869.44814292,
"amount_filled": 249999941,
"amount_remaining": 59,
"original_amount": 250000000,
"implied_apy": 120446,
"filled_implied_apy": 120446,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "3DTBTTnZ8ghfCLVgwh4bJq8rFbzEg9LDpP7R7k2vvgMZNsQZrRg3gwHnfdSRyQshsh6zQeMRdR9AtUffY5sMBg9o",
"updated_at": "2026-10-13T17:00:12+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 234,
"num_fills": 1,
"created_at": "2026-10-13T15:47:03+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": null,
"status": "fully_filled",
"order_role": "taker",
"order_type": "buyPT",
"amount_received": 118908437,
"amount_filled": 99999999,
"amount_remaining": 0,
"original_amount": 99999999,
"implied_apy": 0,
"filled_implied_apy": 120800,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "4fbW2fU6dCVcgb1bzt7hN84CbXQqREPVUxeMfZ6wnurYSRLUa6Mv8paQuwzUQbUyNYBQ2CQqoNH9cAvKsMVnMxDY",
"updated_at": "2026-10-13T15:48:20+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 111,
"num_fills": 1,
"created_at": "2026-10-13T15:48:20+00:00",
"market_offer_event_id": 13720
}
]
Path parameters
string
required
User wallet address.
cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35160,
"status": "fully_filled",
"order_role": "maker",
"order_type": "sellPT",
"amount_received": 210113869.44814292,
"amount_filled": 249999941,
"amount_remaining": 59,
"original_amount": 250000000,
"implied_apy": 120446,
"filled_implied_apy": 120446,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "3DTBTTnZ8ghfCLVgwh4bJq8rFbzEg9LDpP7R7k2vvgMZNsQZrRg3gwHnfdSRyQshsh6zQeMRdR9AtUffY5sMBg9o",
"updated_at": "2026-10-13T17:00:12+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 234,
"num_fills": 1,
"created_at": "2026-10-13T15:47:03+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": null,
"status": "fully_filled",
"order_role": "taker",
"order_type": "buyPT",
"amount_received": 118908437,
"amount_filled": 99999999,
"amount_remaining": 0,
"original_amount": 99999999,
"implied_apy": 0,
"filled_implied_apy": 120800,
"filled_sy_exchange_rate": 1.155177212,
"tx_signature": "4fbW2fU6dCVcgb1bzt7hN84CbXQqREPVUxeMfZ6wnurYSRLUa6Mv8paQuwzUQbUyNYBQ2CQqoNH9cAvKsMVnMxDY",
"updated_at": "2026-10-13T15:48:20+00:00",
"orderbook_address": "imv1h6xgX8GyiJjkBj5xvFxwWoB7sCyTGCi6yGK2bZt",
"vault_address": "7f1PgxY3kGsPqLAKpwcduZkcBEhpjMz7U1iJ4pcCCzDy",
"offer_idx": 111,
"num_fills": 1,
"created_at": "2026-10-13T15:48:20+00:00",
"market_offer_event_id": 13720
}
]